/* $Id: rtl818x_pm.c,v 1.1 2006/06/30 18:51:09 bsd3 Exp $ */

/*- 
 * Driver for Realtek's RTL8180L/8185L 802.11(a)/b/g MAC/BBP chipset
 * based wireless cards, see README for more details.
 *
 * Copyright (C) Andrea Merello 2004  <andreamrl@tiscali.it> 
 *   
 * Parts of this driver are based on the GPL portion of the Realtek's 
 * official driver
 *   
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. See README and COPYING for
 * more details.
 */

/* Power management interface routines written by Mariusz Matuszek
 *
 * This code is currently just a placeholder for later work and  does not
 * do anything useful as yet */

#ifdef CONFIG_RTL818X_PM

#include "rtl818x_hw.h"
#include "rtl818x_pm.h"

int
rtl818x_save_state(struct pci_dev *dev, u32 state)
{
	RTL818X_NOTICE("save state called (state %u)", state);
	return (-EAGAIN);
}

int
rtl818x_suspend(struct pci_dev *dev, u32 state)
{
	RTL818X_NOTICE("suspend called (state %u)", state);
	return (-EAGAIN);
}

int
rtl818x_resume(struct pci_dev *dev)
{
	RTL818X_NOTICE("resume called");
	return (-EAGAIN);
}

int
rtl818x_enable_wake(struct pci_dev *dev, u32 state, int enable)
{
	RTL818X_NOTICE("enable wake called (state %u, enable %d)", state,
		       enable);
	return (-EAGAIN);
}

#endif	/* CONFIG_RTL818X_PM *
